Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025207
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Return Receiptmajorhave not tried2013-11-23 18:202013-12-20 15:13
ReportersureshbabuView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchpiFixed in SCM revision61c1ce267fdf
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025207: RMP29: Receipt with return line always in editable mode even after completlly paid the receipt

DescriptionReceipt with return line always in editable mode even after completlly paid the receipt
Steps To Reproduce
1) Create a receipt with return line and complete the receipt by paying the entire amount
2) Then reopen the receipt in WEBPOS
3) One can find the status of the receipt is in layaway
4) click the Total amount
5) On the right hand side of the WEBPOS screen, Done button wrongly appears
6) Click the Done button

Defect: Layaway no:xxxx has been closed successfully message wrongly appears
TagsNo tags attached.
Attached Filespng file icon After i paid the receipt with return lines, when i reopen the receipt, receipt in Layaway status instead of Paid status.png [^] (217,321 bytes) 2013-11-23 18:20

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062423)
hgbot (developer)
2013-11-27 17:50

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 17:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]

Fixed issue 25206. Fixed issue 25207. Now receipts which have the same amount of positive and negative quantities in the lines will no longer be considered layaways.

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
---
(0062443)
malsasua (developer)
2013-11-28 13:55

verified
(0062455)
malsasua (developer)
2013-11-28 15:56

changed to fixed in version RMP29
(0062522)
hgbot (developer)
2013-12-04 17:06

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 17:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]

Fixed issue 25206. Fixed issue 25207. Now receipts which have the same amount of positive and negative quantities in the lines will no longer be considered layaways.

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
---
(0062592)
hgbot (developer)
2013-12-05 12:13

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 17:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]

Fixed issue 25206. Fixed issue 25207. Now receipts which have the same amount of positive and negative quantities in the lines will no longer be considered layaways.

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
---
(0062642)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062920)
hgbot (developer)
2013-12-19 19:48

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Nov 27 17:50:03 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]

Fixed issue 25206. Fixed issue 25207. Now receipts which have the same amount of positive and negative quantities in the lines will no longer be considered layaways.

---
M src/org/openbravo/retail/posterminal/PaidReceiptProperties.java
---
(0063014)
guilleaer (developer)
2013-12-20 15:13

reclosed

- Issue History
Date Modified Username Field Change
2013-11-23 18:20 sureshbabu New Issue
2013-11-23 18:20 sureshbabu Assigned To => migueldejuana
2013-11-23 18:20 sureshbabu File Added: After i paid the receipt with return lines, when i reopen the receipt, receipt in Layaway status instead of Paid status.png
2013-11-23 18:20 sureshbabu Triggers an Emergency Pack => No
2013-11-27 17:50 hgbot Checkin
2013-11-27 17:50 hgbot Note Added: 0062423
2013-11-27 17:50 hgbot Status new => resolved
2013-11-27 17:50 hgbot Resolution open => fixed
2013-11-27 17:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]
2013-11-28 13:55 malsasua Review Assigned To => malsasua
2013-11-28 13:55 malsasua Note Added: 0062443
2013-11-28 13:55 malsasua Status resolved => closed
2013-11-28 13:55 malsasua Fixed in Version => RMP30
2013-11-28 15:56 malsasua Status closed => new
2013-11-28 15:56 malsasua Resolution fixed => open
2013-11-28 15:56 malsasua Fixed in Version RMP30 =>
2013-11-28 15:56 malsasua Status new => scheduled
2013-11-28 15:56 malsasua fix_in_branch => pi
2013-11-28 15:56 malsasua Status scheduled => resolved
2013-11-28 15:56 malsasua Resolution open => fixed
2013-11-28 15:56 malsasua Note Added: 0062455
2013-11-28 15:56 malsasua Status resolved => closed
2013-11-28 15:56 malsasua Fixed in Version => RMP29
2013-12-04 17:06 hgbot Checkin
2013-12-04 17:06 hgbot Note Added: 0062522
2013-12-04 17:06 hgbot Status closed => resolved
2013-12-04 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]
2013-12-05 12:13 hgbot Checkin
2013-12-05 12:13 hgbot Note Added: 0062592
2013-12-05 12:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]
2013-12-05 17:21 guilleaer Note Added: 0062642
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:48 hgbot Checkin
2013-12-19 19:48 hgbot Note Added: 0062920
2013-12-19 19:48 hgbot Status closed => resolved
2013-12-19 19:48 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/61c1ce267fdf6acb1c10d5f701cecb9e75c62fbb [^]
2013-12-20 15:13 guilleaer Note Added: 0063014
2013-12-20 15:13 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker